For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
      • GETGet your SMS activity aggregated over a period of time
      • GETGet your SMS activity aggregated per day
      • GETGet all your SMS activity (unaggregated events)
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Transactional SMSSMS statistics

Get your SMS activity aggregated over a period of time

GET
https://api.brevo.com/v3/transactionalSMS/statistics/aggregatedReport
GET
/v3/transactionalSMS/statistics/aggregatedReport
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalSms.getTransacAggregatedSmsReport({});
8}
9main();
1{
2 "accepted": 6,
3 "blocked": 4,
4 "delivered": 16,
5 "hardBounces": 5,
6 "range": "2015-05-22|2017-11-29",
7 "rejected": 14,
8 "replied": 8,
9 "requests": 54,
10 "skipped": 1,
11 "softBounces": 26,
12 "unsubscribed": 10
13}
Retrieve an aggregated report of your transactional SMS activity over a specified time period, including counts for requests, delivered, hard bounces, soft bounces, blocked, unsubscribed, replied, accepted, rejected, and skipped messages. Filter by date range using `startDate` and `endDate` (both required together, YYYY-MM-DD format) or by a number of past `days` (not compatible with date range). You can further narrow results by `tag`. If no date filter is provided, the report covers all available data and returns the auto-detected date range.
Was this page helpful?
Previous

Get your SMS activity aggregated per day

Next
Built with

Retrieve an aggregated report of your transactional SMS activity over a specified time period, including counts for requests, delivered, hard bounces, soft bounces, blocked, unsubscribed, replied, accepted, rejected, and skipped messages. Filter by date range using startDate and endDate (both required together, YYYY-MM-DD format) or by a number of past days (not compatible with date range). You can further narrow results by tag. If no date filter is provided, the report covers all available data and returns the auto-detected date range.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

startDatestringOptional

Mandatory if endDate is used. Starting date (YYYY-MM-DD) of the report

endDatestringOptional

Mandatory if startDate is used. Ending date (YYYY-MM-DD) of the report

dayslongOptional

Number of days in the past including today (positive integer). Not compatible with startDate and endDate

tagstringOptional
Filter on a tag

Response

Aggregated SMS report informations
acceptedlong
Number of accepted SMS for the timeframe
blockedlong
Number of blocked contact for the timeframe
deliveredlong
Number of delivered SMS for the timeframe
hardBounceslong
Number of hardbounces for the timeframe
rangestring
Time frame of the report
rejectedlong
Number of rejected SMS for the timeframe
repliedlong
Number of answered SMS for the timeframe
requestslong
Number of requests for the timeframe
skippedlong
Number of skipped SMS for the timeframe
softBounceslong
Number of softbounces for the timeframe
unsubscribedlong
Number of unsubscription for the timeframe

Errors

400
Bad Request Error